libbz2 error?

Problems with the Linux version of XAMPP, questions, comments, and anything related.

libbz2 error?

Postby jostrosky » 02. August 2007 20:53

I have been working with Xampp 1.6 and Debian Sarge up till now. New machine, now i have Debian Etch, and am using any Xampp 1.6 or greater.

My problem: I need to rebuild the PHP with snmp. No problem, on my old machine, i followed the instructions I found, everything was great!

New machine: the php configure fails. I'm hoping i'm including all the relevant details that are needed. I found references to bz2, but my german is not nearly as good as your english....

from php configure:

checking for BZip2 support... yes
checking for BZ2_bzerror in -lbz2... no
configure: error: bz2 module requires libbz2 >= 1.0.0

config.log has:
configure:23301: gcc -o conftest -g -O2 -Wl,-rpath,/opt/lampp/lib -L/opt/lampp/lib -Wl,-rpath,/opt/lampp/lib -L/opt/lampp/lib conftest.c -lbz2 -lz -lssl -lcrypto -lresolv -lm -ldl -lnsl -lxml2 -lm 1>&5
/opt/lampp/lib/libbz2.a(bzlib.o): In function `bzopen_or_bzdopen':
bzlib.c:(.text+0x2608): undefined reference to `__ctype_b'

If I do this without reference to Xampp:
./configure --disable-libxml --disable-dom --disable-simplexml --disable-xml --disable-xmlreader --disable-xmlwriter --without-pear --with-bz2=shared

the configure goes fine.

If I try the Xampp big configure and use --with-bz2=shared, that fails, because gcc is referencing the Xampp directory first.

compiler is
gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)

existing (in /lib):
lrwxrwxrwx 1 root root 11 2007-08-02 14:18 ->
lrwxrwxrwx 1 root root 15 2007-08-02 10:59 ->
lrwxrwxrwx 1 root root 15 2007-08-02 10:59 ->
-rw-r--r-- 1 root root 66200 2006-08-25 13:20

xampp libbz2.a (??)
-rw-rw-r-- 1 root root 64706 2004-03-29 10:09 libbz2.a

What am I missing?????

Thank you....
Posts: 1
Joined: 02. August 2007 20:40

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests